Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3804 - ownership of various /dev's corrupted by users of kde
Summary: ownership of various /dev's corrupted by users of kde
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-29 16:19 UTC by harris
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 22:13:37 UTC


Attachments (Terms of Use)

Description harris 1999-06-29 16:19:16 UTC
After updating to kde*-1.1.1-1, the ownership of various
/dev's was changed to be that of user (not root) running
kde.  This includes audio, fd0, and many others.

Comment 1 Bill Nottingham 1999-06-29 16:34:59 UTC
they will be reset when the user logs out (if they aren't, that's
a bug)  Look at /etc/security/console.perms for details on
how to configure it.

Comment 2 Jay Turner 1999-06-29 17:02:59 UTC
Discarding as report is not a bug, but rather documented behavior of
the application.  Reopen the bug if the ownership of the devices does
not reset on logout of the user.

Comment 3 harris 1999-06-29 18:31:59 UTC
I have verified that the
ownership of the devices does
not reset on logout of the user

Comment 4 Michael K. Johnson 1999-07-12 17:27:59 UTC
Do you by any chance have any other logins of the same
user (network, text console, or anything else) open when
you quit the kde session?

Comment 5 Michael K. Johnson 1999-07-12 19:48:59 UTC
We think this is a problem with kdm (and possibly xdm) PAM session
management.

This works correctly with gdm, so a short-term workaround might be
to use gdm as your display manager.  You can do this by replacing
the /etc/X11/prefdm link with a link to ../../usr/bin/gdm using
the shell command
ln -sf ../../usr/bin/gdm /etc/X11/prefdm

Comment 6 Michael K. Johnson 1999-07-29 21:57:59 UTC
This should be fixed in the latest release of XFree86 (for xdm) in
the next rawhide (XFree86 3.3.4-2) and I *think* is fixed in the
latest kdebase (1.1.1-2) as well.  Feel free to test and report. :-)


Note You need to log in before you can comment on or make changes to this bug.